
Redmine - Feature #5011

Limit Visible Issue Fields Based on Permissions

2010-03-08 23:45 - Edward Krufka

Status: Closed Start date: 2010-03-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Allow the ADMIN to configure which fields appear when creating/viewing/editing an issue, based on the permissions of the logged in

user.

A coy should only copy the fields that the user copying the issue can see in the display.

For instance, allow the developers to enter comments in fields on an issue but do not have these fields appear for the client.

Adding a feature like this would negate the need for Redmine to instruct folks entering issues to not use the Assigned-To field, as

that field should not be visible to all folks reporting issues or requesting features.

Related issues:

Related to Redmine - Feature #5037: Role-based issue custom field visibility Closed 2010-03-10

Related to Redmine - Feature #12005: Mightful workflow field enhancement: hide New

Has duplicate Redmine - Feature #9700: Allow to configure the visibility of t... Closed

History

#1 - 2010-07-14 10:46 - Walther Lalk

Doing the much hated +1 here.

I would love to see this feature in a future version of Redmine. We are currently incorporating Redmine into our project workflow and the only thing

that is missing is the ability to set which fields a user can access when creating a new issue.

In our case we don't want our clients to be able to set the 'assign to', due dates, % done, etc.

#2 - 2010-08-26 00:51 - Eric Davis

- Category changed from Administration to Issues permissions

- Priority changed from High to Normal

#3 - 2011-05-07 18:48 - pasquale [:dedalus]

+1

We have various related\dupes tickets on this: it's seems that more users want to manage "native\custom field by role"!

#4 - 2011-05-07 21:59 - anonymous incognito

What, the issue has been there for a whole year yet nobody has bothered to fix it? Not cool, people, there's lots of serious organisations using this

software, can't just ignore everyone, you know?

#5 - 2011-05-08 04:12 - Terence Mill

dupes some parts of #8050

#6 - 2012-11-19 04:15 - @ go2null

Should be considered a duplicate of Feature #12005.

#7 - 2012-11-19 04:16 - @ go2null

- Status changed from New to Resolved
https://www.redmine.org/issues/8050
https://www.redmine.org/issues/12005


Should be considered a duplicate of Feature #12005.

#8 - 2012-11-19 12:14 - Daniel Felix

Closed as duplicate of #12005. Thanks!

#9 - 2012-11-19 12:15 - Daniel Felix

- Status changed from Resolved to Closed

- Resolution set to Duplicate
